curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "Category_List",
"categories": [
{
"type": "AccountNested",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stable_name": "EXPENSES",
"display_name": "Expenses",
"subCategories": "<array>"
}
]
}Fetch transaction categories
This endpoint returns the nested tree of transaction categories. These categories are derived from the business’s chart of accounts and this list should be used for displaying options in a transaction categorization UI. Layer’s <BankTransactions> embedded component already uses this endpoint, so if you’re using embedded components, you probably won’t need to use this API endpoint directly..
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to fetch the tree of available categories for
Response
List of the categories available for a business
Resource type. Value will be 'Category_List'.
"Category_List"
Array of nested categorizations for a business. A categorization is a polymorphic type that can be an account, optional account, or exclusion.
A category that exists
- AccountNested
- OptionalAccountNested
- ExclusionNested
Show child attributes
Show child attributes